<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('languages', function (Blueprint $table) {
            $table->id();
            $table->string('native_name'); // Dilin yerel adı
            $table->string('a2_iso', 2)->unique(); // 2 harfli ISO kodu
            $table->string('a3_iso', 3)->unique(); // 3 harfli ISO kodu
            $table->boolean('status')->default(true); // Aktif mi?
            $table->boolean('site_default')->default(false); // Site varsayılan dili mi?
            $table->boolean('admin_default')->default(false); // Admin panel varsayılan dili mi?
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('languages');
    }
};
